Bug 174312 - Mysqlhotcopy fails for some targets
Summary: Mysqlhotcopy fails for some targets
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mysql (Show other bugs)
(Show other bugs)
Version: 4
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Tom Lane
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-11-27 18:09 UTC by Nigel Horne
Modified: 2013-07-03 03:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-09 23:16:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nigel Horne 2005-11-27 18:09:38 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ppc; en-US; rv:1.7.3) Gecko/20041207

Description of problem:
If the target filesystem (e.g. FAT32) doesn't support modification times, mysqlhotcopy fails, since 
$cp.= " -p" if $^O =~ m/^(solaris|linux|freebsd|darwin)$/;
will fail. It should try to use the -p flag, but have a fall back if it fails.

Version-Release number of selected component (if applicable):
mysql-4.1.14-1.FC4.1

How reproducible:
Always

Steps to Reproduce:
1. mysqlhotcopy to a target FAT32 filesystem, e.g. a windows formatted floppy
2.
3.
  

Actual Results:  Files failed to copy

Expected Results:  Files should have copied

Additional info:

Works OK if the target is ext2, and it works OK if you remove the bogus line:
$cp.= " -p" if $^O =~ m/^(solaris|linux|freebsd|darwin)$/;

However that is only a workaround, since -p shoudl be used *where available*.

Comment 1 Christian Iseli 2007-01-22 11:46:03 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 2 petrosyan 2008-03-09 23:16:02 UTC
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.


Note You need to log in before you can comment on or make changes to this bug.